Skip to main content

Create a new cron schedule in a system

Creates a new cron schedule in a system, defining the schedule for automated tasks or backups. Use this to configure recurring operations tailored to your system's requirements.

HTTP method and endpoint

POST /account/{accountId}/providers/cloudmanager_cbs/api/v1/working-environment/{workingEnvironmentId}/schedules

Token usage

NetApp Console user token.

Parameters

Name Type In Required Description

accountId

string

path

True

Account ID

workingEnvironmentId

string

path

True

System ID

authorization

string

header

True

User token

X-Agent-Id

string

header

True

Request identifier

Request Body

Name Type Required Description

schedules

array[schedules]

False

Example request
{
  "schedules": [
    {
      "schedule-name": "string",
      "cron": {
        "minutes": [
          "integer"
        ],
        "hours": [
          "integer"
        ],
        "weekdays": [
          "string"
        ],
        "days": [
          "integer"
        ],
        "months": [
          "string"
        ]
      }
    }
  ]
}

Response

Status: 200, Default response

Definitions

See Definitions

cron

Name Type Required Description

minutes

array[integer]

True

The minutes the schedule runs, required on POST for a cron schedule.

hours

array[integer]

False

weekdays

array[string]

False

days

array[integer]

False

months

array[string]

False

schedules

Name Type Required Description

schedule-name

string

True

cron

cron

True